﻿using ReportingServices.ReportingObjects;

namespace ReportingServices.Dependency_Injections
{
    public interface IFabTimeReportingRepository
    {
        public Task<List<ReactorOutsByRDS>> GetMovesTrendData(string url);
        public Task<List<EquipmentStateByDay>> GetToolStateTrendData(string url);
        public Task<List<ToolStateCurrent>> GetToolStateData(string url);
        public Task<T> GetJsonData<T>(string url);
    }
}
